An AccountBalanceResponse is returned on the /account/balance endpoint. If an account has a balance for each AccountIdentifier describing it (ex: an ERC-20 token balance on a few smart contracts), an account balance request must be made with each AccountIdentifier.

export
interface

  RosettaAccountBalanceResponse

### Hierarchy

- RosettaAccountBalanceResponse

## Index

### Properties

- balances
- block_identifier
- coins
- metadata

## Properties

### balances

balances: RosettaAmount []

- Defined in src/generated/models/RosettaAccountBalanceResponse.ts:48

A single account balance may have multiple currencies

memberof

  RosettaAccountBalanceResponse

### block_identifier

block_identifier: object

- Defined in src/generated/models/RosettaAccountBalanceResponse.ts:42

The block_identifier uniquely identifies a block in a particular network.

memberof

  RosettaAccountBalanceResponse

### Optional coins

coins: RosettaCoin []

- Defined in src/generated/models/RosettaAccountBalanceResponse.ts:54

If a blockchain is UTXO-based, all unspent Coins owned by an account_identifier should be returned alongside the balance. It is highly recommended to populate this field so that users of the Rosetta API implementation don't need to maintain their own indexer to track their UTXOs.

memberof

  RosettaAccountBalanceResponse

### Optional metadata

metadata: RosettaAccountBalanceResponseMetadata

- Defined in src/generated/models/RosettaAccountBalanceResponse.ts:60

memberof

  RosettaAccountBalanceResponse

Generated using TypeDoc